local xmppstream = require "util.xmppstream";

local session = { notopen = true };

local callbacks = {
	stream_tag = "stream"; stream_ns = "";
	streamopened = function (session, attr)
		print("Stream opened!");
		session.notopen = nil;
	end;
	handlestanza = function (session, stanza)
		print("Received stanza:", stanza);
	end;
	streamclosed = function (session)
		print("Stream closed!");
	end;
};

local stream = xmppstream.new(session, callbacks);

stream:feed[[
<stream>
	<message foo="bar">
	]]
stream:feed[[
		<body>Hi there!</body>
	</message>
</stream>
]]
